//*****************************************************************************
//
// This file is generated by ftrasterize; DO NOT EDIT BY HAND!
//
//*****************************************************************************
#include <stdbool.h>
#include <stdint.h>
#include "grlib/grlib.h"

//*****************************************************************************
//
// Details of this font:
//     Characters: 32 to 126 inclusive
//     Style: apercu
//     Size: 24 point
//     Bold: yes
//     Italic: no
//     Memory usage: 2684 bytes
//
//*****************************************************************************

//*****************************************************************************
//
// The compressed data for the 24 point Apercu bold font.
// Contains characters 32 to 126 inclusive.
//
//*****************************************************************************
static const unsigned char g_pucApercu24bData[2483] =
{
      5,  10,   0,  28,  96,  20,   6, 195,  51,  51,  51,  51,
     51,  51,  51,  51,  51, 240,  18,  52,  36,  50, 240, 240,
     48,  17,  10, 163,  35,  35,  35,  35,  35,  35,  34,  51,
     34,  66,  34,   0,  20,  48,  35,  17, 240, 240, 147,  50,
    147,  35, 146,  51, 146,  50, 110,  62,  98,  51, 146,  50,
    147,  50, 110,  62,  98,  51, 146,  50, 147,  50, 147,  35,
    146,  51,   0,  11,  64,  30,  13,  67, 163, 150, 104,  67,
     51,  67, 163, 164, 165, 135, 134, 149,  65,  68,  50,  83,
     35,  83,  51,  52,  57,  87, 131, 163, 240, 240, 240,  46,
     20, 240, 240,  65, 116, 115,  71,  99,  67,  35,  67,  83,
     35,  51, 104,  35, 148,  51, 240,  35, 240,  19, 240,  19,
    240,  19,  37, 162,  39, 131,  19,  51,  99,  35,  51,  83,
     51,  51,  82,  87,  83, 101, 113,   0,  12,  34,  16, 240,
    240, 100, 182, 147,  35, 131,  35, 131,  20, 150, 165, 165,
    167,  49,  68,  35,  34,  51,  55,  51,  69,  67,  84,  83,
     53,  92, 102,  20,   0,  10,  32,  11,   5,  83,  35,  35,
     35,  35,  50,   0,  10,  32,  22,   7, 147,  66,  67,  67,
     66,  67,  67,  67,  67,  67,  67,  67,  67,  82,  83,  67,
     82,  83, 240, 240,  23,   7, 115,  82,  83,  67,  82,  83,
     67,  67,  67,  67,  67,  67,  67,  66,  67,  67,  66,  67,
    240, 240,  32,  16,  11, 227, 131,  89,  41,  55,  85,  83,
     19,  67,  19, 145,   0,  18,  48,  18,  13,   0,   8,  83,
    163, 163, 163, 107,  43,  99, 163, 163, 163, 163,   0,  12,
     16,  12,   8,   0,  15,  36,  67,  83,  67,  83,  82,  83,
    208,   9,  11,   0,  13, 105,  41,   0,  15,  48,  11,   6,
      0,  10,  82,  52,  36,  50, 240, 240,  48,  24,  16, 179,
    195, 210, 211, 195, 211, 195, 211, 195, 210, 211, 195, 211,
    195, 211, 195, 211, 195, 195,   0,   9,  80,  35,  14, 240,
    240,  36, 136,  84,  36,  67,  67,  51,  99,  35,  99,  35,
     99,  35,  99,  35,  99,  35,  99,  35,  99,  35,  99,  51,
     67,  68,  36,  88, 132,   0,   9,  64,  24,   8, 240,  82,
     68,  38,  38,  34,  19,  33,  35,  83,  83,  83,  83,  83,
     83,  83,  83,  83,  83, 240, 240, 192,  24,  13, 240, 228,
    120,  83,  35,  67,  67, 163, 163, 148, 147, 148, 132, 132,
    148, 132, 132, 139,  43,   0,   8,  48,  25,  13, 240, 202,
     57, 147, 147, 148, 147, 150, 134, 164, 163, 163,  65,  83,
     35,  83,  51,  51,  72, 117,   0,   8,  96,  28,  14, 240,
    240,  83, 164, 149, 149, 134, 134, 115,  19, 114,  35,  99,
     35,  83,  51,  83,  51,  76,  44, 147, 179, 179,   0,   9,
     32,  27,  13, 240, 201,  73,  67, 163, 163, 167, 105,  67,
     51,  66,  83, 163, 163,  65,  83,  35,  83,  51,  51,  72,
    117,   0,   8,  96,  29,  13, 240,  52, 147, 148, 147, 148,
    147, 148, 135, 105,  52,  51,  51,  83,  35,  83,  35,  83,
     35,  83,  51,  51,  88, 101,   0,   8,  96,  22,  12, 240,
    154,  42, 131, 147, 132, 131, 147, 131, 147, 131, 147, 147,
    131, 147, 131, 147,   0,   8,  64,  32,  13, 240, 229, 119,
     83,  51,  67,  51,  67,  51,  67,  51,  87,  89,  67,  51,
     51,  83,  35,  83,  35,  83,  35,  83,  51,  51,  73, 101,
      0,   8,  96,  27,  13, 240, 229, 104,  83,  51,  51,  83,
     35,  83,  35,  83,  35,  83,  51,  51,  73, 102, 148, 147,
    147, 163, 147, 148,   0,   9,  16,   6, 240, 240, 114,  52,
     36,  50, 240, 210,  52,  36,  50, 240, 240,  48,  18,   8,
      0,   6,  50,  84,  68,  82, 240, 240, 244,  67,  68,  67,
     83,  82,  83, 208,  19,  12,   0,   8,  66, 132, 102,  70,
     70, 100, 133, 134, 134, 133, 147, 177,   0,   9,  32,  12,
     12,   0,  12,  10,  42, 240, 186,  42,   0,  13,  96,  19,
     12,   0,   7,  66, 164, 134, 134, 134, 132, 117,  86,  70,
     85, 115, 145,   0,  10,  48,  24,  11, 240, 149,  87,  51,
     51, 131, 116,  85,  70,  83, 131,  18,  86, 100, 240,  66,
    132, 116, 130,   0,   7,  80,  53,  21,   0,   6,   8, 188,
    132, 100,  99, 148,  67,  52,  18,  19,  67,  25,  35,  35,
     35,  36,  35,  35,  19,  67,  35,  35,  19,  67,  35,  35,
     19,  67,  35,  35,  19,  52,  34,  51,  45,  67,  36,  36,
     99, 240,  67, 240,  68,  99, 156, 184,   0,   8,  96,  32,
     16, 240, 240, 131, 196, 197, 181, 167, 147,  19, 132,  19,
    131,  36, 115,  51, 100,  51, 107,  91,  68,  83,  67, 100,
     51, 115,  36, 115,   0,  10,  32,  32,  14, 240, 217,  90,
     67,  83,  51,  83,  51,  83,  51,  83,  58,  75,  51,  83,
     51,  99,  35,  99,  35,  99,  35,  99,  35,  83,  59,  57,
      0,   9,  48,  29,  16, 240, 240, 118, 138,  84,  68,  51,
    115,  51, 130,  35, 211, 211, 211, 211, 211, 227, 130,  51,
    115,  68,  68,  90, 134,   0,  10,  80,  34,  15, 240, 248,
    122,  83,  68,  67,  84,  51,  99,  51, 115,  35, 115,  35,
    115,  35, 115,  35, 115,  35, 115,  35,  99,  51,  84,  51,
     68,  74,  88,   0,  10,  32,  22,  13, 240, 187,  43,  35,
    163, 163, 163, 169,  73,  67, 163, 163, 163, 163, 163, 171,
     43,   0,   8,  48,  22,  13, 240, 187,  43,  35, 163, 163,
    163, 163, 169,  73,  67, 163, 163, 163, 163, 163, 163,   0,
      9,  48,  33,  17, 240, 240, 150, 154, 100,  68,  67, 116,
     51, 131,  35, 227, 227, 227, 102,  35, 102,  35, 147,  51,
    131,  51, 116,  68,  69,  92, 118,  19,   0,  10, 112,  36,
     15, 240, 243, 115,  35, 115,  35, 115,  35, 115,  35, 115,
     35, 115,  45,  45,  35, 115,  35, 115,  35, 115,  35, 115,
     35, 115,  35, 115,  35, 115,  35, 115,   0,   9,  80,  20,
      5, 163,  35,  35,  35,  35,  35,  35,  35,  35,  35,  35,
     35,  35,  35,  35,  35, 240, 192,  25,  12, 240, 240,  19,
    147, 147, 147, 147, 147, 147, 147, 147, 147, 147, 147,  35,
     67,  35,  51,  57,  85,   0,   8,  16,  34,  15, 240, 243,
     84,  51,  68,  67,  52,  83,  36,  99,  20, 119, 134, 150,
    151, 131,  20, 115,  36,  99,  36,  99,  52,  83,  68,  67,
     84,  51, 100,   0,   9,  80,  22,  13, 240, 179, 163, 163,
    163, 163, 163, 163, 163, 163, 163, 163, 163, 163, 163, 171,
     43,   0,   8,  48,  50,  17, 240, 240,  68, 116,  36, 116,
     36, 116,  37,  85,  37,  85,  38,  54,  38,  54,  35,  18,
     35,  19,  35,  19,  19,  19,  35,  19,  19,  19,  35,  37,
     35,  35,  37,  35,  35,  51,  51,  35,  51,  51,  35,  51,
     51,  35, 147,   0,  10, 112,  42,  15, 240, 244,  99,  36,
     99,  37,  83,  37,  83,  38,  67,  39,  51,  35,  19,  51,
     35,  20,  35,  35,  36,  19,  35,  51,  19,  35,  55,  35,
     70,  35,  85,  35,  85,  35, 100,  35, 100,   0,   9,  80,
     35,  18, 240, 240, 182, 170, 116,  68,  83, 131,  67, 131,
     51, 163,  35, 163,  35, 163,  35, 163,  35, 163,  35, 163,
     51, 131,  67, 131,  84,  68, 122, 166,   0,  12,  16,  27,
     14, 240, 217,  91,  51,  84,  35,  99,  35,  99,  35,  99,
     35,  84,  43,  57,  83, 179, 179, 179, 179, 179, 179,   0,
     10,  16,  37,  18, 240, 240, 182, 170, 116,  68,  83, 131,
     67, 131,  51, 163,  35, 163,  35, 163,  35, 163,  35, 114,
     19,  35, 103,  51,  87,  51, 101,  84,  69, 109, 119,  33,
      0,  11,  80,  33,  14, 240, 217,  90,  67,  68,  51,  83,
     51,  83,  51,  83,  51,  68,  58,  73,  83,  35,  99,  51,
     83,  52,  67,  67,  67,  68,  51,  84,  35,  99,   0,   9,
     27,  13, 240, 229, 120,  67,  51,  67, 163, 165, 135, 119,
    119, 134,  65,  68,  50,  83,  35,  83,  51,  51,  73, 101,
      0,   8,  96,  22,  14, 240, 220,  44, 115, 179, 179, 179,
    179, 179, 179, 179, 179, 179, 179, 179, 179, 179,   0,   9,
     64,  36,  14, 240, 211,  99,  35,  99,  35,  99,  35,  99,
     35,  99,  35,  99,  35,  99,  35,  99,  35,  99,  35,  99,
     35,  99,  35,  99,  35,  99,  51,  67,  88, 118,   0,   9,
     48,  34,  16, 240, 240,  36, 115,  51, 115,  51, 100,  52,
     83,  83,  83,  83,  68,  84,  51, 115,  51, 115,  35, 132,
     19, 147,  19, 150, 166, 181, 180, 196,   0,  10, 112,  53,
     23,   0,   5,  99, 228,  35, 227,  51,  84,  83,  52,  68,
     68,  67,  68,  67,  83,  54,  51,  83,  54,  51,  84,  38,
     51,  99,  34,  34,  35, 115,  19,  35,  19, 115,  19,  35,
     19, 130,  18,  66,  19, 133,  69, 149,  69, 149,  84, 163,
     99,   0,  15,  32,  32,  16, 240, 240,  52,  83,  83,  67,
    100,  36, 115,  35, 151, 150, 180, 196, 196, 182, 152, 131,
     35, 116,  36,  99,  68,  68,  83,  52, 100,   0,  10,  32,
     28,  15, 240, 244,  84,  51,  83,  68,  52,  83,  51, 115,
     19, 131,  19, 149, 165, 179, 195, 195, 195, 195, 195, 195,
    195,   0,  10,  32,  21,  14, 240, 219,  59, 148, 164, 148,
    164, 148, 163, 164, 163, 164, 163, 164, 163, 172,  44,   0,
      9,  23,   8, 134,  38,  35,  83,  83,  83,  83,  83,  83,
     83,  83,  83,  83,  83,  83,  83,  86,  38, 240, 240,  64,
     24,  15,   3, 195, 211, 195, 211, 195, 211, 211, 195, 211,
    195, 211, 195, 211, 210, 211, 211, 195, 211,   0,   7,  96,
     23,   8, 134,  38,  83,  83,  83,  83,  83,  83,  83,  83,
     83,  83,  83,  83,  83,  83,  38,  38, 240, 240,  64,  16,
     13, 240, 243, 148, 134, 115,  19,  83,  50,  67,  67,  50,
     99,   0,  23,   8,  13,   0,  30, 123,  43, 240, 208,   7,
      7, 116,  83,   0,  17,  96,  25,  12,   0,   9,  53,  88,
     67,  36,  65,  67, 147,  72,  57,  35,  67,  35,  67,  35,
     52,  42,  53,  19,   0,   7,  96,  32,  13, 211, 163, 163,
    163, 163, 163,  20,  90,  52,  51,  51,  83,  35,  83,  35,
     83,  35,  83,  35,  83,  35,  83,  36,  51,  58,  51,  20,
      0,   8,  96,  23,  13,   0,  10,  22, 104,  67,  52,  35,
     82,  51, 163, 163, 163, 163,  82,  67,  52,  72, 102,   0,
      8,  80,  32,  14, 240, 131, 179, 179, 179, 179,  85,  19,
     74,  51,  68,  36,  68,  35,  99,  35,  99,  35,  99,  35,
     99,  36,  68,  51,  68,  74,  85,  19,   0,   9,  24,  13,
      0,  10,  21, 119,  83,  51,  52,  67,  35,  83,  43,  43,
     35, 163,  82,  67,  52,  72, 101,   0,   8,  96,  22,  10,
    240, 148,  70,  67, 115,  87,  55,  83, 115, 115, 115, 115,
    115, 115, 115, 115, 115,   0,   6, 112,  29,  13,   0,  10,
     24,  72,  68,  20,  67,  51,  67,  51,  67,  51,  87,  87,
     83, 163, 169,  89,  51,  83,  35,  83,  36,  52,  57, 101,
     80,  33,  13, 211, 163, 163, 163, 163, 163,  36,  74,  53,
     36,  36,  67,  35,  83,  35,  83,  35,  83,  35,  83,  35,
     83,  35,  83,  35,  83,  35,  83,   0,   8,  48,  21,   6,
    114,  52,  36,  50, 147,  51,  51,  51,  51,  51,  51,  51,
     51,  51,  51,  51, 240, 240,  48,  24,   8, 178,  84,  68,
     82, 211,  83,  83,  83,  83,  83,  83,  83,  83,  83,  83,
     83,  83,  68,  52,  67,  81, 112,  31,  13, 211, 163, 163,
    163, 163, 163,  52,  51,  51,  67,  35,  83,  20,  87, 102,
    119,  99,  19,  99,  35,  83,  36,  67,  52,  51,  68,   0,
      8,  48,  21,   5,  83,  35,  35,  35,  35,  35,  35,  35,
     35,  35,  35,  35,  35,  35,  35,  35,  35, 240, 192,  42,
     19,   0,  14,  35,  20,  52,  79,   1,  52,  52,  51,  36,
     52,  51,  35,  67,  67,  35,  67,  67,  35,  67,  67,  35,
     67,  67,  35,  67,  67,  35,  67,  67,  35,  67,  67,  35,
     67,  67,   0,  12,  16,  30,  12,   0,   9,   3,  20,  73,
     52,  51,  36,  51,  35,  67,  35,  67,  35,  67,  35,  67,
     35,  67,  35,  67,  35,  67,  35,  67,   0,   7,  96,  27,
     14,   0,  10, 118, 120,  84,  51,  52,  68,  35,  99,  35,
     99,  35,  99,  35,  99,  36,  68,  51,  67,  88, 118,   0,
      9,  48,  32,  13,   0,   9,  99,  20,  90,  52,  51,  51,
     83,  35,  83,  35,  83,  35,  83,  35,  83,  35,  83,  36,
     51,  58,  51,  20,  83, 163, 163, 163, 163, 160,  32,  14,
      0,  10, 117,  19,  74,  51,  68,  36,  68,  35,  99,  35,
     99,  35,  99,  35,  99,  36,  68,  51,  68,  74,  85,  19,
    179, 179, 179, 179, 179,  32,  20,  10,   0,   7,  67,  20,
     40,  37,  84,  99, 115, 115, 115, 115, 115, 115, 115,   0,
      7,  16,  22,  11,   0,   8,  84, 102,  67,  33,  83, 133,
    118, 102, 116,  50,  51,  36,  35,  55, 100,   0,   7,  48,
     22,  10, 240, 130, 115, 115, 115,  88,  40,  67, 115, 115,
    115, 115, 115, 115, 115, 133, 100,   0,   6,  64,  30,  12,
      0,   9,   3,  67,  35,  67,  35,  67,  35,  67,  35,  67,
     35,  67,  35,  67,  35,  67,  35,  52,  35,  52,  42,  53,
     19,   0,   7,  96,  27,  13,   0,   9,  99,  83,  51,  67,
     51,  51,  67,  51,  82,  50,  99,  19,  99,  19, 114,  18,
    133, 133, 147, 163,   0,   8, 112,  41,  19,   0,  14,  35,
     67,  67,  35,  52,  51,  51,  52,  51,  67,  36,  51,  67,
     37,  34,  83,  19,  18,  19,  98,  19,  18,  19, 101,  34,
     18, 117,  37, 132,  52, 132,  51, 147,  67,   0,  12,  80,
     25,  13,   0,   9, 115,  52,  67,  35,  83,  19, 118, 132,
    147, 164, 134, 103,  99,  35,  67,  51,  52,  67,   0,   8,
     48,  29,  13,   0,   9,  99,  83,  51,  67,  51,  67,  51,
     51,  83,  35,  83,  34, 114,  19, 118, 117, 148, 148, 147,
    163, 163, 147, 163, 162, 128,  19,  11,   0,   8,  41,  41,
    115, 115, 131, 115, 131, 115, 115, 131, 121,  41,   0,   7,
     16,  23,   9, 196,  69,  67,  99,  99,  99,  99,  99,  68,
     84, 115,  99,  99,  99,  99,  99, 101,  84, 240, 240, 128,
     22,   5,  83,  35,  35,  35,  35,  35,  35,  35,  35,  35,
     35,  35,  35,  35,  35,  35,  35,  35, 240, 112,  23,   9,
    148,  85,  99,  99,  99,  99,  99,  99, 116,  84,  67,  99,
     99,  99,  99,  99,  69,  68, 240, 240, 176,  14,  14,   0,
     14,  20,  81,  55,  34,  50,  55, 147,   0,  19,  96,
};

//*****************************************************************************
//
// The font definition for the 24 point Apercu bold font.
//
//*****************************************************************************
const tFont g_sFontApercu24b =
{
    //
    // The format of the font.
    //
    FONT_FMT_PIXEL_RLE,

    //
    // The maximum width of the font.
    //
    20,

    //
    // The height of the font.
    //
    23,

    //
    // The baseline of the font.
    //
    18,

    //
    // The offset to each character in the font.
    //
    {
           0,    5,   25,   42,   77,  107,  153,  187,
         198,  220,  243,  259,  277,  289,  298,  309,
         333,  368,  392,  416,  441,  469,  496,  525,
         547,  579,  606,  622,  640,  659,  671,  690,
         714,  767,  799,  831,  860,  894,  916,  938,
         971, 1007, 1027, 1052, 1086, 1108, 1158, 1200,
        1235, 1262, 1299, 1332, 1359, 1381, 1417, 1451,
        1504, 1536, 1564, 1585, 1608, 1632, 1655, 1671,
        1679, 1686, 1711, 1743, 1766, 1798, 1822, 1844,
        1873, 1906, 1927, 1951, 1982, 2003, 2045, 2075,
        2102, 2134, 2166, 2186, 2208, 2230, 2260, 2287,
        2328, 2353, 2382, 2401, 2424, 2446, 2469,
    },

    //
    // A pointer to the actual font data
    //
    g_pucApercu24bData
};
